package main

import (
	"github.com/br0xen/termbox-util"
	"github.com/nsf/termbox-go"
)

type aboutScreen struct {
	initialized bool
}

func (screen *aboutScreen) handleEvent(event termbox.Event) int {
	return browserScreenIndex
}

func (screen *aboutScreen) performLayout(style Style) {
	if !screen.initialized {
	}
	screen.initialized = true
}

func (screen *aboutScreen) drawScreen(style Style) {
	exitTxt := "Press any key to return"
	termboxUtil.DrawStringAtPoint(exitTxt, (screenWidth-len(exitTxt))/2, screenHeight-1, style.titleFg, style.titleBg)
}
